Bug: Plugin becomes unusable

Discussion in 'Bug Reports' started by drThunderbuckle, Jul 28, 2020.

  1. drThunderbuckle

    drThunderbuckle New Member
    Premium Supporter Supporter

    Joined:
    May 15, 2020
    Messages:
    15
    Likes Received:
    1
    Enter a brief description of what is broken Plugin becomes unusable

    What version of Minecraft are you using? 1.16

    What server jar are you using? Spigot

    What is this a bug report for? MythicMobs

    What version of the plugin are you using? Mythicmobs 4.9.1 and Artifacts 0.1.28

    Describe the bug. Be as specific as possible, images or short gifs/videos are welcome but save configuration files for later sections. Write a whole paragraph if needed, help us bug testers replicate your issue!
    I have been running my server on 1.14.x for a long time, and I decided to finally try to update it to a better version. When I update my (Test) Server to 1.16.1 it breaks a lot of different things about the plugin. Any mobs using LibsDisguises become invisible and have no hitbox. Custom AI options are not working, so some mobs that are supposed to be evil are acting neutral and many of my good mobs are trying to kill me. Mythic Artifacts is also not working at all. I cannot use /mm i give player item with any item regardless of whether it has Artifact skills or not. When I do that command it says "An internal error has occurred while attempting to perform the command". Also errors get sent to the console every time I try to use an existing items ability. This is the only plugin holding me back from updating my server so I'm pretty eager to know how to fix it. I am using the latest (1.16) libsdisguises version also.

    Example Configurations
    Idk how to insert crash logs
     
    #1
  2. Tenitrex

    Tenitrex New Member
    Premium Supporter Supporter

    Joined:
    Jul 26, 2020
    Messages:
    21
    Likes Received:
    0
    Interesting, i also had few problems with that version mythicmobs plugin, but decided to save time and get premium version, since mc spigot is fresh, it also full of bugs so maybe the fastest solution to you would be to get a premium plan subscription for those few bucks in the month?:)
     
    #2
  3. drThunderbuckle

    drThunderbuckle New Member
    Premium Supporter Supporter

    Joined:
    May 15, 2020
    Messages:
    15
    Likes Received:
    1
    Last thing I saw the premium version was the same as the free version. Are you talking about the snapshot versions?
     
    #3
  4. Tenitrex

    Tenitrex New Member
    Premium Supporter Supporter

    Joined:
    Jul 26, 2020
    Messages:
    21
    Likes Received:
    0
    Yes, exactly, and if you'll decide yo upgrade try to test snapshot versions with spigot
     
    #4

Share This Page